Subject: Re: [Bugme-new] [Bug 8668] New: HTB Deadlock

From: Patrick McHardy <[email-masked]>
Date: Wed, 27 Jun 2007 13:44:08 +0200

Jarek Poplawski wrote:
> On 25-06-2007 11:28, Patrick McHardy wrote:
> ...
>   
>> It is. This patch I had originally planned for 2.6.23 switches HTB
>> to the generic estimator, which shouldn't suffer from this.
>>     
>
> BTW, maybe I look at this too short, but is this del_timer()
> in gen_kill_estimator() enough? I cannot see nothing against
> a timer just running and doing mod_timer() again...

Yes, but nothing bad can happen, the timer will find an empty
list and do nothing. It would make more sense to check for
an empty list before restarting the timer though.

Could you send a patch for that?